/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package vn.dtt.sol.cmon.dm.dao.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the DATAITEM service. Represents a row in the &quot;DM_DATAITEM&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link vn.dtt.sol.cmon.dm.dao.model.impl.DATAITEMModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link vn.dtt.sol.cmon.dm.dao.model.impl.DATAITEMImpl}.
 * </p>
 *
 * @author khoa.vu
 * @see DATAITEM
 * @see vn.dtt.sol.cmon.dm.dao.model.impl.DATAITEMImpl
 * @see vn.dtt.sol.cmon.dm.dao.model.impl.DATAITEMModelImpl
 * @generated
 */
public interface DATAITEMModel extends BaseModel<DATAITEM> {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a d a t a i t e m model instance should use the {@link DATAITEM} interface instead.
	 */

	/**
	 * Returns the primary key of this d a t a i t e m.
	 *
	 * @return the primary key of this d a t a i t e m
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this d a t a i t e m.
	 *
	 * @param primaryKey the primary key of this d a t a i t e m
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the ID of this d a t a i t e m.
	 *
	 * @return the ID of this d a t a i t e m
	 */
	public long getId();

	/**
	 * Sets the ID of this d a t a i t e m.
	 *
	 * @param id the ID of this d a t a i t e m
	 */
	public void setId(long id);

	/**
	 * Returns the data group ID of this d a t a i t e m.
	 *
	 * @return the data group ID of this d a t a i t e m
	 */
	public long getDataGroupId();

	/**
	 * Sets the data group ID of this d a t a i t e m.
	 *
	 * @param dataGroupId the data group ID of this d a t a i t e m
	 */
	public void setDataGroupId(long dataGroupId);

	/**
	 * Returns the code of this d a t a i t e m.
	 *
	 * @return the code of this d a t a i t e m
	 */
	@AutoEscape
	public String getCode();

	/**
	 * Sets the code of this d a t a i t e m.
	 *
	 * @param code the code of this d a t a i t e m
	 */
	public void setCode(String code);

	/**
	 * Returns the node1 of this d a t a i t e m.
	 *
	 * @return the node1 of this d a t a i t e m
	 */
	@AutoEscape
	public String getNode1();

	/**
	 * Sets the node1 of this d a t a i t e m.
	 *
	 * @param node1 the node1 of this d a t a i t e m
	 */
	public void setNode1(String node1);

	/**
	 * Returns the node2 of this d a t a i t e m.
	 *
	 * @return the node2 of this d a t a i t e m
	 */
	@AutoEscape
	public String getNode2();

	/**
	 * Sets the node2 of this d a t a i t e m.
	 *
	 * @param node2 the node2 of this d a t a i t e m
	 */
	public void setNode2(String node2);

	/**
	 * Returns the node3 of this d a t a i t e m.
	 *
	 * @return the node3 of this d a t a i t e m
	 */
	@AutoEscape
	public String getNode3();

	/**
	 * Sets the node3 of this d a t a i t e m.
	 *
	 * @param node3 the node3 of this d a t a i t e m
	 */
	public void setNode3(String node3);

	/**
	 * Returns the node4 of this d a t a i t e m.
	 *
	 * @return the node4 of this d a t a i t e m
	 */
	@AutoEscape
	public String getNode4();

	/**
	 * Sets the node4 of this d a t a i t e m.
	 *
	 * @param node4 the node4 of this d a t a i t e m
	 */
	public void setNode4(String node4);

	/**
	 * Returns the level of this d a t a i t e m.
	 *
	 * @return the level of this d a t a i t e m
	 */
	public int getLevel();

	/**
	 * Sets the level of this d a t a i t e m.
	 *
	 * @param level the level of this d a t a i t e m
	 */
	public void setLevel(int level);

	/**
	 * Returns the name of this d a t a i t e m.
	 *
	 * @return the name of this d a t a i t e m
	 */
	@AutoEscape
	public String getName();

	/**
	 * Sets the name of this d a t a i t e m.
	 *
	 * @param name the name of this d a t a i t e m
	 */
	public void setName(String name);

	/**
	 * Returns the description of this d a t a i t e m.
	 *
	 * @return the description of this d a t a i t e m
	 */
	@AutoEscape
	public String getDescription();

	/**
	 * Sets the description of this d a t a i t e m.
	 *
	 * @param description the description of this d a t a i t e m
	 */
	public void setDescription(String description);

	/**
	 * Returns the status of this d a t a i t e m.
	 *
	 * @return the status of this d a t a i t e m
	 */
	public int getStatus();

	/**
	 * Sets the status of this d a t a i t e m.
	 *
	 * @param status the status of this d a t a i t e m
	 */
	public void setStatus(int status);

	/**
	 * Returns the validated from of this d a t a i t e m.
	 *
	 * @return the validated from of this d a t a i t e m
	 */
	public Date getValidatedFrom();

	/**
	 * Sets the validated from of this d a t a i t e m.
	 *
	 * @param validatedFrom the validated from of this d a t a i t e m
	 */
	public void setValidatedFrom(Date validatedFrom);

	/**
	 * Returns the validated to of this d a t a i t e m.
	 *
	 * @return the validated to of this d a t a i t e m
	 */
	public Date getValidatedTo();

	/**
	 * Sets the validated to of this d a t a i t e m.
	 *
	 * @param validatedTo the validated to of this d a t a i t e m
	 */
	public void setValidatedTo(Date validatedTo);

	@Override
	public boolean isNew();

	@Override
	public void setNew(boolean n);

	@Override
	public boolean isCachedModel();

	@Override
	public void setCachedModel(boolean cachedModel);

	@Override
	public boolean isEscapedModel();

	@Override
	public Serializable getPrimaryKeyObj();

	@Override
	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	@Override
	public ExpandoBridge getExpandoBridge();

	@Override
	public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

	@Override
	public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

	@Override
	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	@Override
	public Object clone();

	@Override
	public int compareTo(DATAITEM dataitem);

	@Override
	public int hashCode();

	@Override
	public CacheModel<DATAITEM> toCacheModel();

	@Override
	public DATAITEM toEscapedModel();

	@Override
	public DATAITEM toUnescapedModel();

	@Override
	public String toString();

	@Override
	public String toXmlString();
}